# Reference

## boost::redis::basic_connection::basic_connection

Constructor from an executor and a logger.

### Synopsis

Declared in `<boost/redis/connection.hpp>`

    basic_connection(
        executor_type ex,
        logger lgr);

### Description

An SSL context with default settings will be created.

### Parameters

Name | Description
ex | Executor used to create all internal I/O objects.
lgr | Logger configuration. It can be used to filter messages by level and customize logging. By default, `logger::level::info` messages and higher are logged to `stderr`.

Created with MrDocs